Loading...
Searching...
No Matches
janus_videoroom_publisher Struct Reference
Collaboration diagram for janus_videoroom_publisher:
[legend]

## Data Fields

janus_videoroom_session * | session
janus_videoroom * | room
guint64 | room_id
gchar * | room_id_str
guint64 | user_id
gchar * | user_id_str
guint32 | pvt_id
gchar * | display
gboolean | dummy
janus_audiocodec | acodec
janus_videocodec | vcodec
int | user_audio_active_packets
int | user_audio_level_average
gboolean | talking
gboolean | firefox
GList * | streams
GHashTable * | streams_byid
GHashTable * | streams_bymid
int | data_mindex
janus_mutex | streams_mutex
uint32_t | bitrate
gint64 | remb_startup
gint64 | remb_latest
gboolean | recording_active
gchar * | recording_base
janus_mutex | rec_mutex
GSList * | subscriptions
janus_mutex | subscribers_mutex
janus_mutex | own_subscriptions_mutex
GHashTable * | srtp_contexts
GHashTable * | remote_recipients
gboolean | remote
int | remote_fd
int | remote_rtcp_fd
int | pipefd [2]
struct sockaddr_storage | rtcp_addr
GThread * | remote_thread
volatile gint | remote_leaving
GHashTable * | rtp_forwarders
janus_mutex | rtp_forwarders_mutex
int | udp_sock
gboolean | kicked
gboolean | e2ee
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## acodec

janus_audiocodec janus_videoroom_publisher::acodec

## bitrate

uint32_t janus_videoroom_publisher::bitrate

## data_mindex

int janus_videoroom_publisher::data_mindex

## destroyed

volatile gint janus_videoroom_publisher::destroyed

## display

gchar* janus_videoroom_publisher::display

## dummy

gboolean janus_videoroom_publisher::dummy

## e2ee

gboolean janus_videoroom_publisher::e2ee

## firefox

gboolean janus_videoroom_publisher::firefox

## kicked

gboolean janus_videoroom_publisher::kicked

## own_subscriptions_mutex

janus_mutex janus_videoroom_publisher::own_subscriptions_mutex

## pipefd

int janus_videoroom_publisher::pipefd[2]

## pvt_id

guint32 janus_videoroom_publisher::pvt_id

## rec_mutex

janus_mutex janus_videoroom_publisher::rec_mutex

## recording_active

gboolean janus_videoroom_publisher::recording_active

## recording_base

gchar* janus_videoroom_publisher::recording_base

## ref

janus_refcount janus_videoroom_publisher::ref

## remb_latest

gint64 janus_videoroom_publisher::remb_latest

## remb_startup

gint64 janus_videoroom_publisher::remb_startup

## remote

gboolean janus_videoroom_publisher::remote

## remote_fd

int janus_videoroom_publisher::remote_fd

## remote_leaving

volatile gint janus_videoroom_publisher::remote_leaving

## remote_recipients

GHashTable* janus_videoroom_publisher::remote_recipients

## remote_rtcp_fd

int janus_videoroom_publisher::remote_rtcp_fd

## remote_thread

GThread* janus_videoroom_publisher::remote_thread

## room

janus_videoroom* janus_videoroom_publisher::room

## room_id

guint64 janus_videoroom_publisher::room_id

## room_id_str

gchar* janus_videoroom_publisher::room_id_str

## rtcp_addr

struct sockaddr_storage janus_videoroom_publisher::rtcp_addr

## rtp_forwarders

GHashTable* janus_videoroom_publisher::rtp_forwarders

## rtp_forwarders_mutex

janus_mutex janus_videoroom_publisher::rtp_forwarders_mutex

## session

janus_videoroom_session* janus_videoroom_publisher::session

## srtp_contexts

GHashTable* janus_videoroom_publisher::srtp_contexts

## streams

GList* janus_videoroom_publisher::streams

## streams_byid

GHashTable* janus_videoroom_publisher::streams_byid

## streams_bymid

GHashTable* janus_videoroom_publisher::streams_bymid

## streams_mutex

janus_mutex janus_videoroom_publisher::streams_mutex

## subscribers_mutex

janus_mutex janus_videoroom_publisher::subscribers_mutex

## subscriptions

GSList* janus_videoroom_publisher::subscriptions

## talking

gboolean janus_videoroom_publisher::talking

## udp_sock

int janus_videoroom_publisher::udp_sock

## user_audio_active_packets

int janus_videoroom_publisher::user_audio_active_packets

## user_audio_level_average

int janus_videoroom_publisher::user_audio_level_average

## user_id

guint64 janus_videoroom_publisher::user_id

## user_id_str

gchar* janus_videoroom_publisher::user_id_str

## vcodec

janus_videocodec janus_videoroom_publisher::vcodec

The documentation for this struct was generated from the following file:

- janus_videoroom.c